%global momorel 2
%global patch_mainver 3.8k.3
%global plus_ver 0.10

Summary: gnuplot - an interactive plotting program
Name: gnuplot
Version: 4.0.0
Release: %{momorel}m
%NoSource 0 http://download.sourceforge.net/gnuplot/%{name}-%{version}.tar.gz 66258443d9f93cc4f46b147dac33e63a
%NoSource 1 http://f21.aaacafe.ne.jp/~oden/software/%{name}-%{patch_mainver}+%{plus_ver}.patch.tar.gz 96d03667c6f8fa73604853173727aa61
Source2: http://takeno.iee.niit.ac.jp/~foo/gp-jman/data/20041026/gp400-20041026.tar.gz
Patch0: gnuplot-3.8j.0+0.01-configure.patch
Patch1: gnuplot-3.8k3_4.0-pluspatch.diff
# patches to doc-jp-patch
Patch2: gp400-doc.term_h.diff
Patch3: term400diff_avoidrej.diff
License: see "Copyright"
Group: Applications/Engineering
URL: http://www.gnuplot.info/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: glibc-devel, readline-devel
BuildPreReq: libX11-devel, libXpm-devel
BuildPreReq: groff, tetex-latex, tetex-dvipsk, dvipdfmx
BuildPreReq: zlib-devel, libjpeg-devel, gd-devel 
BuildPreReq: libpng-devel >= 1.2.2
BuildPreReq: automake, autoconf
BuildPreReq: emacs
Prereq: info

%description
Gnuplot is a command-line driven interactive function plotting utility.
Gnuplot supports many different types of terminals, plotters, and printers
(including many color devices, and pseudo-devices like LaTeX) and is
easily extensible to include new devices.

%prep

%setup -q -a1 -a 2
%patch1 -p0 -b .orig
patch -p1 < gnuplot-%{patch_mainver}+%{plus_ver}.patch
%patch -p0 -b .gp+config~
%patch3 -p0 -b .orig

%build
aclocal
automake
autoconf

# not %%configure because of the configure error in gp+...
./configure \
    --prefix=%{_prefix} \
    --libdir=%{_libdir} \
    --libexecdir=%{_libexecdir} \
    --datadir=%{_datadir} \
    --includedir=%{_includedir} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir} \
    --with-x \
    --without-linux-vga \
    --with-readline \
    --enable-history-file \
    --with-jpeg \
    --with-libpng \
    --with-gd \
    --with-freetype \
    --with-cwdrc \
    --enable-thin-splines \
    --with-gihdir=%{_datadir}/%{name}
make clean all
cd docs
make gnuplot.info gnuplot.html
cp gnuplot.html ..

%install
rm -rf %{buildroot}
%makeinstall GIHDIR=%{buildroot}/%{_datadir}/%{name}
mkdir -p %{buildroot}%{_infodir}
install -c -m 644 docs/gnuplot.info %{buildroot}%{_infodir}/gnuplot.info

pushd docs
make grotxt
make grodvi
make grops
dvipdfmx gnuplot.dvi

pushd psdoc
make all
dvipdfmx ps_fontfile_doc.dvi
popd # psdoc
popd # docs

# make japanese docs
cp -fr docs docs.en
pushd term
patch -p1 < ../term400-20040418.diff
popd
pushd docs
make clean
make term.h
patch -p0 < %{PATCH2}
make doc2gih
ln -s ../gp400-20041026.doc gnuplot-jp.doc
# make terminal help
./doc2gih gnuplot-jp.doc gnuplot-jp.gih
install -m 644 gnuplot-jp.gih %{buildroot}/%{_datadir}/%{name}/gnuplot-jp.gih
## make html and info
## These causes error now...
#sed 's/gnuplot\./gnuplot-jp./g' doc2texi.el > doc2texi-jp.el
#emacs -batch -l ./doc2texi-jp.el -f d2t-doc-to-texi 
#makeinfo --html -I. gnuplot-jp.texi --no-split --output=gnuplot-jp.html
#makeinfo -I. gnuplot-jp.texi --no-split --output=gnuplot-jp.info
popd
mv docs docs.jp
mv docs.en docs

# remove
rm -f %{buildroot}%{_infodir}/dir

%clean
rm -rf %{buildroot}

%post
if [ -x /sbin/install-info ]; then
    /sbin/install-info %{_infodir}/gnuplot.info %{_infodir}/dir
fi

%preun
if [ $1 = 0 -a -x /sbin/install-info ]; then
    /sbin/install-info --delete %{_infodir}/gnuplot.info %{_infodir}/dir
fi

%files
%defattr(-,root,root,-)
%doc BUGS ChangeLog CodeStyle Copyright FAQ INSTALL* NEWS
%doc PATCHLEVEL PGPKEYS PORTING README* TODO VERSION
%doc docs/gnuplot.txt docs/gnuplot.pdf docs/gnuplot.ps
%doc docs/psdoc/ps_symbols.ps
%doc docs/psdoc/ps_fontfile_doc.pdf docs/psdoc/ps_fontfile_doc.ps
%doc readme-20041026.txt gp400-20041026.doc docs/gnuplot.doc
#%doc docs/gnuplot-jp.html
%doc demo
%doc gnuplot.html
%{_bindir}/gnuplot
%{_libexecdir}/gnuplot
%{_datadir}/%{name}/gnuplot*.gih
%{_datadir}/emacs/site-lisp/gnuplot-gui.el*
%{_datadir}/emacs/site-lisp/gnuplot.el*
%{_datadir}/emacs/site-lisp/info-look.20.2.el*
%{_datadir}/emacs/site-lisp/info-look.20.3.el*
%{_mandir}/man1/gnuplot.1*
%{_infodir}/gnuplot.info*

%changelog
* Tue Feb 15 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (4.0.0-2m)
- dvipdfm -> dvipdfmx

* Sun Oct 31 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (4.0.0-1m)
- version 4.0.0 has been released
- include some japanese docs
- - html and info files cannot be made now
- - if you want a japanese terminal help, export GNUHELP=/usr/share/gnuplot/gnuplot-jp.gih

* Sun May 16 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (3.8j.0-4m)
- patch verup

* Sat Mar 20 2004 Toru Hoshina <t@momonga-linux.org>
- (3.8j.0-3m)
- revised spec for enabling rpm 4.2.

* Thu Dec 18 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (3.8j.0-2m)
- apply "plus patch" for gnuplot-3.8
  see http://f21.aaacafe.ne.jp/~oden/software/gnuplot.html

* Wed Oct 22 2003 zunda <zunda at freeshell.org>
- (kossori)
- License: see "Copyright" instead of "see Copyright"

* Sun Oct 19 2003 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.8j.0-1m)
- update to 3.8j.0

* Sat Oct 18 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (3.8i.0-4m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Mon Jul 28 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (3.8i.0-3m)
- modify BuildPreReq: tetex-dvips -> tetex-dvipsk

* Mon Jan 20 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.8i.0-2m)
- rebuild against for gd

* Mon Jan 06 2003 Kenta MURATA <muraken@momonga-linux.org>
- (3.8i.0-1m)
- version up to 3.8i.0.

* Tue Oct 15 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.7.2-1m)
- change version notation

* Mon May  6 2002 zunda <zunda@kondara.org>
- (3.7.2+1.2.0-0.4k)
- gnuplot3.7.2+1.2.0rc2
- source update to rc2

* Tue Apr 30 2002 zunda <zunda@kondara.org>
- (3.7.1+1.2.0-0.3k)
- Oops, need to distribute the patch along with the binary package!

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (3.7.1+1.2.0-0.2k)
- /sbin/install-info -> info in PreReq.

* Mon Apr 29 2002 zunda <zunda@kondara.org>
- (3.7.2+1.2.0-0.1k)
- gnuplot3.7.2+1.2.0rc1
- source update
- demo/ added to %doc

* Sat Apr 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (3.7.1+1.2.0-8k)
- rebuild against libpng 1.2.2.

* Sat Dec  1 2001 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (3.7.1+1.2.0-6k)
- change URL

* Tue Oct 16 2001 Toru Hoshina <t@kondara.org>
- (3.7.1+1.2.0-4k)
- rebuild against libpng 1.2.0.

* Wed Jan 25 2001 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- (3.7.1+1.2.0-3k)
- update patch to 1.2.0
- do not use GNU readline !

* Wed Oct 25 2000 MATSUDA, Daiki <dyky@df-usa.com>
- modifiled %post and %preun section from .gz to .bz2

* Fri Jul 14 2000 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- (3.7.1+1.1.9-2k)
- remove gd from Requires:
- touch all files before configure instead of fix in %install 

* Wed May 24 2000 AYUHANA Tomonori <l@kondara.org>
- fix %install section (binary contains %{buildroot})
- add -q at %setup

* Sun May 14 2000 SUGAWARA Zenta <sugazen@pop02.odn.ne.jp>
- move %defattr to the head of %files section

* Fri Jan 28 2000 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- Kondara fix
- prefix changed and optimization flags added

* Fri Dec  3 1999 Masahito Yamaga <yamaga@ipc.chiba-u.ac.jp>
- apply gnuplot3.7.1+1.1.9.bugfix

* Mon Nov  8 1999 Masahito Yamaga <yamaga@ipc.chiba-u.ac.jp>
- 3.7.1+1.1.9

* Fri Sep  3 1999 Masahito Yamaga <yamaga@ipc.chiba-u.ac.jp>
- 3.7.0.1+1.1.9

* Tue Jun 11 1999 Masahito Yamaga <yamaga@ipc.chiba-u.ac.jp>
- add information about /sbin/install-info

* Tue Jun  1 1999 Masahito Yamaga <yamaga@ipc.chiba-u.ac.jp>
- 3.7+1.1.9

* Tue Jan 29 1999 Masahito Yamaga <yamaga@ipc.chiba-u.ac.jp>
- first release
